GET
/
runs
List workspace runs
curl --request GET \
  --url https://your_salambo_base_url/api/v1/runs \
  --header 'Authorization: Bearer <token>'
{
  "object": "<string>",
  "data": [
    {
      "id": "<string>",
      "object": "<string>",
      "agent_id": "<string>",
      "agent_deployment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "agent_version_number": 123,
      "created_at": 123,
      "updated_at": 123,
      "entrypoint": "<string>",
      "runtime_type": "<string>",
      "sandbox_state": "<string>",
      "started_at": 123,
      "completed_at": 123,
      "duration_ms": 123,
      "error": {
        "message": "<string>",
        "code": "<string>"
      }
    }
  ],
  "has_more": true,
  "first_id": "<string>",
  "last_id": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
integer
default:50
Required range: 1 <= x <= 100
after
string<uuid>
agent_id
string<uuid>
agent_version_number
integer
Required range: x >= 1
status
enum<string>
Available options:
pending,
running,
completed,
failed,
cancelled

Response

Run list

object
string
required
Allowed value: "list"
data
object[]
required
has_more
boolean
required
first_id
string | null
required
last_id
string | null
required